Bug 981732 - RFE: Allow selection of packages & multiple modules as Unittest main modules, in Run Configurations
RFE: Allow selection of packages & multiple modules as Unittest main modules,...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
rawhide
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Ferrazzutti
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 11:51 EDT by Andrew Ferrazzutti
Modified: 2013-08-12 14:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: eclipse-pydev-2.8.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 14:03:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ferrazzutti 2013-07-05 11:51:31 EDT
Description of problem:
Currently the way to run packages or multiple modules with Unittest is to select items from the PyDev Package Manager by Ctrl+Clicking, and choosing Run As...->Unittest from the right-click context menu. There isn't a way to do that in the Run Configurations menu, as selecting the main module for a Unittest run only allows you to choose one module.

It would be nice if the Browse menu for choosing the main module allows you to select packages and multiple modules, to better reflect the functionality that already exists.
Comment 1 Andrew Ferrazzutti 2013-07-25 11:20:42 EDT
Addressed, and merged in 971ca8e.
Comment 2 Andrew Ferrazzutti 2013-07-25 11:38:12 EDT
Confused upstream with fedora bug trackers; will be fixed with the next update. Reopening.
Comment 3 Fedora Update System 2013-08-01 08:25:55 EDT
eclipse-pydev-2.8.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-pydev-2.8.1-1.fc19
Comment 4 Fedora Update System 2013-08-02 18:07:08 EDT
Package eclipse-pydev-2.8.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-pydev-2.8.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14146/eclipse-pydev-2.8.1-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-12 14:03:58 EDT
eclipse-pydev-2.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.